[INCLUDE]
CallFunction

[CODE]
#If (CallFunction_FlagA And &H100&) = &H100& Then
Public Function CallFunctionFast(ByVal FunctionAddress As Long, ByVal IsStdCall As Boolean, ParamArray FunctionParams()) As Long
#Else
Public Function CallFunctionFast(ByVal FunctionAddress As Long, ParamArray FunctionParams()) As Long
#End If
  Dim xLong1 As Long
    
  ReDim sLongA1(UBound(FunctionParams()) + 1&)
  For xLong1 = 0& To UBound(FunctionParams())
    sLongA1(xLong1) = FunctionParams(xLong1)
    Next
    
  #If (CallFunction_FlagA And &H100&) = &H100& Then
    CallFunctionFast = CallWindowProcAnsi(PrepareCode(FunctionAddress, IsStdCall), 0, 0, 0, 0)
    #Else
    CallFunctionFast = CallWindowProcAnsi(PrepareCode(FunctionAddress), 0, 0, 0, 0)
    #End If
  ReDim sLongA1(0&)
  ReDim sByteA1(0&)
  End Function